function []=DrawHedrons(A,b,m,transparency,var)
%
%   DrawHedrons      i 
%     A x >= b
%     
%   A(i,:)x=b(i) (i-).

   mn=size(b,1);

%   for i=1:mn
   for i=4:mn  %   ,    

      %      (0,x1,x2,x3) 
      %     (pr,y1,y2) 
      %  i (  A(i,:)x=b(i))
      [pr,At,bt,y1,y2]=ChangeVariable(A,b,i);
   
      %     At 
      % (   ,  i)
      [At,bt,cnmtyt]=ClearZeroRows(At,bt);
     
      if ~cnmtyt
         continue; %  i   
                   %     A x >= b
      end

      %   St  
      [St]=BoundaryIntervals(At,bt);

      %    St   Pt  i-
      if size(St,1)>0
         [Pt] = Intervals2Path(St);

         %   Pt    (x)
%         P=pr+y1*Pt(:,1)+y2*Pt(:,2);
         P=zeros(0,3);
         for k=1:size(Pt,1)
             P=[P ; pr+y1*Pt(k,1)+y2*Pt(k,2) ];
         end

         %   
         %     -   ,
         %     - ;
         %   :
         %      - , 
         %       - ,
         %       - 
         transp=1;
         c='g';
         if transparency
            transp=0.4; 
         end
         if i>m
            transp=0.4; 
            if var
               c='y';
            else
               c='r';
            end
         end

         %  i-
         fill3(P(:,1),P(:,2),P(:,3),c,'FaceAlpha',transp);

      end

   end    

end